Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jason.mas2j
Class AgentParameters

    java.lang.Object
      jason.mas2j.AgentParameters

    public class AgentParameters

extends java.lang.Object

represents the agent declaration in the MAS2J project file. The project parser creates this object while parsing.

Field Summary
`ClassParameters` | `agClass`
`ClassParameters` | `archClass`
`java.io.File` | `asSource`
`ClassParameters` | `bbClass`
`java.lang.String` | `name`
`java.util.Map<java.lang.String,java.lang.String>` | `options`
`int` | `qty`

Constructor Summary
`AgentParameters()`

Method Summary
`boolean` | `fixSrc(java.util.List<java.lang.String> srcpath, java.lang.String urlPrefix)` fix source of the asl code based on aslsourcepath, also considers code from a jar file (if urlPrefix is not null)
`java.lang.String` | `getAgName()`
`java.lang.String` | `getAsInMASProject()`
`Settings` | `getAsSetts(boolean debug, boolean forceSync)`
`ClassParameters` | `getBBClass()`
`java.lang.String` | `getHost()`
`void` | `setAgClass(java.lang.String c)`
`void` | `setArchClass(ClassParameters c)`
`void` | `setArchClass(java.lang.String c)`
`void` | `setBB(ClassParameters c)`
`void` | `setHost(java.lang.String h)`
`void` | `setupDefault()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### name

    public java.lang.String name

### asSource

    public java.io.File asSource

### agClass

    public ClassParameters agClass

### bbClass

    public ClassParameters bbClass

### archClass

    public ClassParameters archClass

### qty

    public int qty

### options

    public java.util.Map<java.lang.String,java.lang.String> options

Constructor Detail

### AgentParameters

    public AgentParameters()

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### setupDefault

    public void setupDefault()

### fixSrc

    public boolean fixSrc(java.util.List<java.lang.String> srcpath,
                          java.lang.String urlPrefix)

  fix source of the asl code based on aslsourcepath, also considers code from a jar file (if urlPrefix is not null)

### getBBClass

    public ClassParameters getBBClass()

### setHost

    public void setHost(java.lang.String h)

### getHost

    public java.lang.String getHost()

### setAgClass

    public void setAgClass(java.lang.String c)

### setArchClass

    public void setArchClass(java.lang.String c)

### setArchClass

    public void setArchClass(ClassParameters c)

### setBB

    public void setBB(ClassParameters c)

### getAsInMASProject

    public java.lang.String getAsInMASProject()

### getAsSetts

    public Settings getAsSetts(boolean debug,
                               boolean forceSync)

### getAgName

    public java.lang.String getAgName()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD